# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.acl
Class AclNamespace

    java.lang.Object
      com.google.gdata.data.acl.AclNamespace

    public class AclNamespace

extends java.lang.Object

GData namespace definitions related to Access Control Lists (ACL's).

Field Summary
`static java.lang.String` `gAcl` Google Access Control List namespace
`static java.lang.String` `gAclAlias` Default Google Access Control List namespace alias
`static com.google.gdata.util.common.xml.XmlNamespace` `gAclNs` XML writer namespace for Google ACL
`static java.lang.String` `gAclPrefix` Google Access Control List namespace prefix
`static java.lang.String` `LINK_REL_ACCESS_CONTROL_LIST` Link provides the URI of the feed for the access control list for the entry.
`static java.lang.String` `LINK_REL_CONTROLLED_OBJECT` Link provides the URI of the entry that is controlled by the access control list feed.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gAcl

    public static final java.lang.String gAcl

  Google Access Control List namespace

  See Also:
    Constant Field Values

### gAclPrefix

    public static final java.lang.String gAclPrefix

  Google Access Control List namespace prefix

  See Also:
    Constant Field Values

### gAclAlias

    public static final java.lang.String gAclAlias

  Default Google Access Control List namespace alias

  See Also:
    Constant Field Values

### gAclNs

    public static final com.google.gdata.util.common.xml.XmlNamespace gAclNs

  XML writer namespace for Google ACL

### LINK_REL_ACCESS_CONTROL_LIST

    public static final java.lang.String LINK_REL_ACCESS_CONTROL_LIST

  Link provides the URI of the feed for the access control list for the entry.

  See Also:
    Constant Field Values

### LINK_REL_CONTROLLED_OBJECT

    public static final java.lang.String LINK_REL_CONTROLLED_OBJECT

  Link provides the URI of the entry that is controlled by the access control list feed.

  See Also:
    Constant Field Values